// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"

// abstract class

@class Finding_ErrorMessage;

/**
 
 Base response container for all service operations. Contains error
 information associated with the request.
 
 
 @ingroup FindingServicePortType
*/
@interface Finding_BaseServiceResponse : NSObject <PicoBindable> {

@private
    NSString *_ack;
    Finding_ErrorMessage *_errorMessage;
    NSString *_version;
    NSDate *_timestamp;

}


/**
 
 Indicates whether or not errors or warnings were generated during the
 processing of the request.
 
 
 type: string constant in Finding_AckValue.h
*/
@property (nonatomic, retain) NSString *ack;

/**
 
 Description of an error or warning that occurred when eBay processed the
 request. Not returned if the ack value is Success.
 
 
 type : class Finding_ErrorMessage
*/
@property (nonatomic, retain) Finding_ErrorMessage *errorMessage;

/**
 
 The release version that eBay used to process the request. Developer
 Technical Support may ask you for the version value if you work with them
 to troubleshoot issues.
 <br><br>
 <span class="tablenote"><strong>Note:</strong>
 The version in use is normally the latest release version, as specified
 in the release notes. Note that eBay releases the API to international
 sites about a week after the API version is released to the US site.
 </span>
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *version;

/**
 
 This value represents the date and time when eBay processed the request.
 This value is returned in GMT, the ISO 8601 date and time format (YYYY-
 MM- DDTHH:MM:SS.SSSZ). See the "dateTime" type for information about the
 time format, and for details on converting to and from the GMT time zone.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *timestamp;


@end
