// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Finding_Amount;

/**
 
 Selling details pertaining to the respective item.
 
 
 @ingroup FindingServicePortType
*/
@interface Finding_SellingStatus : NSObject <PicoBindable> {

@private
    Finding_Amount *_currentPrice;
    Finding_Amount *_convertedCurrentPrice;
    NSNumber *_bidCount;
    NSString *_sellingState;
    NSString *_timeLeft;
    NSString *_delimiter;
    NSMutableArray *_any;

}


/**
 
 The current price of the item given in the currency of the site on which
 the item is listed. That is, currentPrice is returned in the original
 listing currency.
 <br><br>
 For competitive-bid item listings, currentPrice is the current minimum
 bid price if the listing has no bids, or the current high bid if the
 listing has bids. A Buy It Now price has no effect on currentPrice.
 <br><br>
 For Basic Fixed-Price (FixedPrice), Store Inventory (StoreInventory), Ad
 Format (AdFormat), and Classified Ad (Classified) listings, currentPrice
 is the current fixed price.
 
 
 type : class Finding_Amount
*/
@property (nonatomic, retain) Finding_Amount *currentPrice;

/**
 
 The listing's current price converted to the currency of the site
 specified in the find request (globalId).
 
 
 type : class Finding_Amount
*/
@property (nonatomic, retain) Finding_Amount *convertedCurrentPrice;

/**
 
 The number of bids that have been placed on the item.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *bidCount;

/**
 
 Specifies the listing's status in eBay's processing workflow. If an
 item's EndTime is in the past, but there are no details about the buyer
 or high bidder (and the user is not anonymous), you can use sellingState
 information to determine whether eBay has finished processing the
 listing.
 <dl>
 <dt>
 <strong>sellingState values:</strong>
 </dt>
 <dt>
 Active
 </dt>
 <dd>
 The listing is still live. It is also possible that the auction has
 recently ended, but eBay has not completed the final processing
 (e.g., the high bidder is still being determined).
 </dd>
 <dt>
 Canceled
 </dt>
 <dd>
 The listing has been canceled by either the seller or eBay.
 </dd>
 <dt>
 Ended
 </dt>
 <dd>
 The listing has ended and eBay has completed the processing of the
 sale (if any).
 </dd>
 <dt>
 EndedWithSales
 </dt>
 <dd>
 The listing has been ended with sales.
 </dd>
 <dt>
 EndedWithoutSales
 </dt>
 <dd>
 The listing has been ended without sales.
 </dd>
 </dl>
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *sellingState;

/**
 
 Time left before the listing ends. The duration is represented in the ISO
 8601 duration format (PnYnMnDTnHnMnS). For listings that have ended, the
 time left is PT0S (zero seconds). See the "duration" type for information
 about this time format.
 
 
 type : NSString, wrapper for primitive duration
*/
@property (nonatomic, retain) NSString *timeLeft;

/**
 (public property)
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *delimiter;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
