// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Shopping_AmountType;

/**
 
 Contains the discount pricing details for an item, including the original
 retail price and the display treatment to be used for the item. The pricing
 treatment displayed for a discounted item depends on the values specified
 in this container when the item is listed. Discount pricing treatments
 (Strikethrough Pricing and Minimum Advertised Price) apply to only fixed
 price, BIN items. Sellers can apply Discount Pricing to both MSKU and
 Non-MSKU items.
 
 
 @ingroup ShoppingInterface
*/
@interface Shopping_DiscountPriceInfoType : NSObject <PicoBindable> {

@private
    Shopping_AmountType *_originalRetailPrice;
    Shopping_AmountType *_minimumAdvertisedPrice;
    NSString *_minimumAdvertisedPriceExposure;
    NSString *_pricingTreatment;
    NSNumber *_soldOneBay;
    NSNumber *_soldOffeBay;
    NSMutableArray *_any;

}


/**
 
 This field specifies the price to which the discounted-price display
 treatment will be applied (for example, a strikethrough price). The
 discounted price of an item (specified in the CurrentPrice field) is
 the BIN price and is less than the OriginalRetailPrice of the item.
 <br /><br />
 See <a href=
 "http://developer.ebay.com/DevZone/XML/docs/WebHelp/index.htm?context=eBay_XML_API&topic=DiscountPricing">
 Displaying Discount Pricing Information to Buyers</a> for
 guidelines on displaying STP and MAP items.
 
 
 type : class Shopping_AmountType
*/
@property (nonatomic, retain) Shopping_AmountType *originalRetailPrice;

/**
 
 A value equal to the agreed upon minimum advertised price.
 <br><br>
 The minimum advertised price is an agreed upon price that is set by the
 suppliers/OEMs and the retailers/sellers. The minimum advertised price
 is the lowest price for which an item can be advertised. Large volume
 sellers can negotiate with the suppliers/OEMs to offer certain items
 below the set minimum advertised price. eBay does not maintain or
 validate the agreed upon minimum advertised price; the seller is
 responsible for setting this value in accordance with their agreement
 with the supplier/OEMs. MAP pricing treatments apply to only fixed price,
 BIN items listed on the eBay US site.
 
 
 type : class Shopping_AmountType
*/
@property (nonatomic, retain) Shopping_AmountType *minimumAdvertisedPrice;

/**
 
 If an item listing qualifies it to be listed as a MAP item
 (PricingTreatment returns MAP), the item price cannot be directly
 displayed on the page containing the item. When listing a MAP item,
 the seller stipulates how they want the buyer to view the price of the
 item by setting this field to either PreCheckout or DuringCheckout. If
 this feild is not set for a MAP item, the treatment defaults to PreCheckout.
 <br /><br />
 If this field is set to PreCheckout, the buyer must click a link (or
 button) to view the item price on a different page (such as in a pop-up
 window). If this field is set to DuringCheckout, the StartPrice must be
 shown only when the buyer in the eBay checkout flow.
 <br /><br />
 MAP items are supported only on the eBay US site.
 
 
 type: string constant in Shopping_MinimumAdvertisedPriceExposureCodeType.h
*/
@property (nonatomic, retain) NSString *minimumAdvertisedPriceExposure;

/**
 
 This field denotes whether or not an item qualifies for a discount
 pricing treatment display. If a seller lists an item with
 DiscountPriceInfo values, the item response container will include
 a DiscountPriceInfo container with this field set to either
 STP, MAP, or None. If this field is set to MAP, you must abide
 by the rules for displaying MAP items, as described in
 MinimumAdvertisedPriceExposure.
 <br /> <br />
 <span class="tablenote"><b>Important:</b>
 For listings that return PricingTreatment set to MAP, you are
 legally required to follow the rules for displaying the price of
 the item to potential buyers. You are bound by the terms of the
 API License Agreement to follow these rules. Refer to the
 API License Agreement for consequences of non-compliance.
 </span>
 
 
 type: string constant in Shopping_PricingTreatmentCodeType.h
*/
@property (nonatomic, retain) NSString *pricingTreatment;

/**
 
 Used by the eBay UK and eBay Germany (DE) sites, this field indicates
 that the discount price (specified as CurrentPrice) is the price for
 which the seller offered the same (or similar) item for sale on eBay
 within the previous 30 days. The discount price is always in reference
 to the seller's own price for the item.
 <br /><br />
 In the event both soldOffeBay and soldOneBay fields areset, soldOneBay
 takes precedence.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *soldOneBay;

/**
 
 Used by the eBay UK and eBay Germany (DE) sites, this field indicates
 that the discount price (specified as currentPrice) is the price for
 which the seller offered the same item for sale on a web site or offline
 store other than eBay in the previous 30 days. The discount price is
 always in reference to the seller's own price for the item.
 <br /><br />
 In the event both soldOffeBay and soldOneBay fields areset, soldOneBay
 takes precedence.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *soldOffeBay;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
