// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Shopping_AmountType;

/**
 
 Shipping costs and options related to an international shipping service. When used
 as input, if one is provided, at least one domestic ShippingService must be
 provided. This type does not exist before compatibility level 383.
 
 
 @ingroup ShoppingInterface
*/
@interface Shopping_InternationalShippingServiceOptionType : NSObject <PicoBindable> {

@private
    Shopping_AmountType *_shippingInsuranceCost;
    NSString *_shippingServiceName;
    Shopping_AmountType *_shippingServiceAdditionalCost;
    Shopping_AmountType *_shippingServiceCost;
    NSNumber *_shippingServicePriority;
    NSMutableArray *_shipsTo;
    NSDate *_estimatedDeliveryMinTime;
    NSDate *_estimatedDeliveryMaxTime;
    Shopping_AmountType *_importCharge;
    NSMutableArray *_any;

}


/**
 
 The insurance cost associated with shipping a single item with this shipping
 service. If the buyer bought more than one of this item, this proportional to
 QuantitySold. If the item has not yet been sold, insurance information cannot
 be calculated and the value is 0.00. For calculated shipping only.
 
 
 type : class Shopping_AmountType
*/
@property (nonatomic, retain) Shopping_AmountType *shippingInsuranceCost;

/**
 
 An international shipping service offered for shipping the item (for
 example, UPS Ground). For flat and calculated shipping.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *shippingServiceName;

/**
 
 The cost of shipping each additional item beyond the first item.
 For single-item listings, if this is not provided, it is defaulted
 to zero. For multi-quantity listings, if this is not provided, it
 is set to the value of (in)ShippingServiceCost (unless the request
 version is lower than 665, in which case ShippingServiceAdditionalCost
 is required and is not defaulted).
 For flat shipping only.
 
 
 type : class Shopping_AmountType
*/
@property (nonatomic, retain) Shopping_AmountType *shippingServiceAdditionalCost;

/**
 
 The basic shipping cost of the item.
 <br>
 <br>
 <i>Flat shipping:</i> single-item listing: this matches (in)ShippingServiceCost;
 multi-quantity listing: with a request version of 665 or greater,
 this is the total of (in)ShippingServiceCost plus
 ((in)ShippingServiceAdditionalCost times the number of items beyond the first
 item), and with a request version lower than 665, this is (in)ShippingServiceCost.
 <br>
 <i>Promotional shipping:</i> For a request version lower than 665, promotional
 shipping has no effect on shipping costs. Otherwise: if the promotional
 shipping option is lower than other shipping services being offered, the
 savings is reflected in the returned shipping cost;
 the shipping service named Promotional Shipping Service (or whatever is
 the localized name for it) is included among the shipping services;
 if the promotional shipping cost is lower than the cost of other shipping
 services being offered, it is presented first in the list (the lowest shipping
 service cost is always presented first, regardless of whether there is
 promotional shipping).
 
 
 type : class Shopping_AmountType
*/
@property (nonatomic, retain) Shopping_AmountType *shippingServiceCost;

/**
 
 Seller-preferred presentation order relative to other service options. Valid
 values are: 1, 2 and 3 (first, second and third choices). For flat and
 calculated shipping.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *shippingServicePriority;

/**
 
 An international location or region to which the item may be shipped via this
 particular shipping service. Associated with the shipping service by the
 seller. This is basically the same as SimpleItemType.ShipToLocations except
 that this is spelled out and the other is abbreviated.
 Returned with request version 665 or greater, if set via Trading API.
 
 
 entry type : NSString, wrapper for primitive string
*/

@property (nonatomic, retain) NSMutableArray *shipsTo;

/**
 
 The minimum guaranteed date in which the item could reach the
 buyer's location.
 Not applicable to Half.com.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *estimatedDeliveryMinTime;

/**
 
 The maximum guaranteed date in which the item could reach the
 buyer's location.
 Not applicable to Half.com.
 
 
 type : NSDate, wrapper for primitive date
*/
@property (nonatomic, retain) NSDate *estimatedDeliveryMaxTime;

/**
 
 The total cost of customs and taxes for the international leg of an order shipped using the Global Shipping Program. This amount is calculated and supplied for each item by the international shipping provider when a buyer views the item properties.
 
 
 type : class Shopping_AmountType
*/
@property (nonatomic, retain) Shopping_AmountType *importCharge;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
