// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Shopping_VariationSpecificPictureSetType;

/**
 
 Defines variation-specific pictures associated with one 
 VariationSpecificName (e.g., Color) whose values differ across variations.
 
 
 @ingroup ShoppingInterface
*/
@interface Shopping_PicturesType : NSObject <PicoBindable> {

@private
    NSString *_variationSpecificName;
    NSMutableArray *_variationSpecificPictureSet;
    NSMutableArray *_any;

}


/**
 
 One aspect of the variations that will be illustrated in the 
 pictures for all variations. For example, if each variation 
 is visually distinguished by color and the pictures show 
 the different colors available, then specify "Color" as the name.
 The name must match one of the names specified in the 
 variation specifics.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *variationSpecificName;

/**
 
 One or more pictures that help buyers distinguish the Variations. 
 Multiple picture sets can be specified. For example, suppose a 
 listing contains blue and black color variations, and 
 VariationSpecificName=Color. In this case, one picture set could 
 contain pictures of the blue shirts (e.g., front view, back view, 
 and close-up of a trim detail), and another picture set could 
 contain pictures of the black shirts.<br>
 <br>
 Sellers do not necessarily provide pictures for all values that 
 correspond to the variation specific name. 
 For example, a listing could have pictures depicting the blue and 
 black color variations, but not the pink variations.
 
 
 entry type : class Shopping_VariationSpecificPictureSetType
*/

@property (nonatomic, retain) NSMutableArray *variationSpecificPictureSet;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
