// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>

/**
 @file
 
 State of a catalog product that may have been updated, replaced, marked for deletion,
 or merged with another product.
 
 
 @ingroup ShoppingInterface
*/

/**
 
 The product details have been updated.
 If your application currently uses the product for listing or searching, 
 we recommend that you check to make sure the product data still meets your needs.
 
*/
extern NSString *const Shopping_ProductStateCodeType_UPDATE;

/**
 
 This product has changed. This product has been mapped to a newer
 product in the catalog that eBay (or Half.com) is currently using,
 and its details have been updated based on the new catalog data.
 The product reference ID remains the same
 (but the longer product ID string may have changed).
 If your application currently uses the product for searching, 
 we recommend that you check to make sure the product data still meets your needs.
 
*/
extern NSString *const Shopping_ProductStateCodeType_UPDATE_MAJOR;

/**
 
 This product was previously available in an earlier catalog, 
 but it has not been mapped to a product in the catalog that eBay
 is currently using. It can still be used for searching, but 
 it may contain fewer details than other products.
 If your application currently uses the product for searching, 
 we recommend that you check to make sure the product data still meets your needs.
 Not applicable to Half.com.
 
*/
extern NSString *const Shopping_ProductStateCodeType_UPDATE_NO_DETAILS;

/**
 
 Some information in this product is scheduled to be merged into another product 
 in the catalog that eBay (or Half.com) is currently using. This product may 
 be removed from the system at any time.
 If your application currently uses the product for searching, 
 we recommend that you update your application to use a product that is not 
 scheduled to be merged or deleted.
 
*/
extern NSString *const Shopping_ProductStateCodeType_MERGE;

/**
 
 This product is marked for deletion, and it will not be mapped to another product.
 If your application currently uses the product for searching, 
 we recommend that you update your application to use a product that is not 
 scheduled to be merged or deleted.
 
*/
extern NSString *const Shopping_ProductStateCodeType_DELETE;

/**
 
 Reserved for internal or future use.
 
*/
extern NSString *const Shopping_ProductStateCodeType_CUSTOM_CODE;
