// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Shopping_TaxTableType;
@class Shopping_ShippingServiceOptionType;
@class Shopping_AmountType;
@class Shopping_SalesTaxType;
@class Shopping_InternationalShippingServiceOptionType;

/**
 
 Type for the shipping-related details for an item or transaction.
 
 
 @ingroup ShoppingInterface
*/
@interface Shopping_ShippingDetailsType : NSObject <PicoBindable> {

@private
    NSNumber *_getItFast;
    Shopping_AmountType *_insuranceCost;
    NSString *_insuranceOption;
    NSMutableArray *_internationalShippingServiceOption;
    Shopping_SalesTaxType *_salesTax;
    NSString *_shippingRateErrorMessage;
    NSMutableArray *_shippingServiceOption;
    Shopping_TaxTableType *_taxTable;
    Shopping_AmountType *_internationalInsuranceCost;
    NSString *_internationalInsuranceOption;
    Shopping_AmountType *_codCost;
    NSMutableArray *_excludeShipToLocation;
    NSMutableArray *_any;

}


/**
 
 Indicates whether the seller has opted the listing into the Get
 It Fast feature. If GetItFast is true, and if at least one of
 the domestic shipping services offered by the seller is an
 expedited shipping service, every shipping service offered by
 the seller is considered a Get It Fast service, and the seller
 commits to delivering the item to the buyer-selected shipping
 service within one day.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *getItFast;

/**
 
 The cost of insurance. For flat rate shipping, this is the value set by the
 seller, if any. For calculated shipping, this is the value calculated by eBay
 with the shipping carrier for the particular item and can only be determined
 once the final item price is known when the listing ends. To determine whether
 a listing has ended, use GetSingleItem.
 <br> <br>
 Not applicable to eBay Motors vehicle listings.
 
 
 type : class Shopping_AmountType
*/
@property (nonatomic, retain) Shopping_AmountType *insuranceCost;

/**
 
 Whether the seller offers shipping insurance and, if so, whether the insurance
 is optional or required. Flat and calculated shipping.
 
 
 type: string constant in Shopping_InsuranceOptionCodeType.h
*/
@property (nonatomic, retain) NSString *insuranceOption;

/**
 
 Shipping costs and options related to an international shipping service. For
 calculated shipping, postal code must be known to determine final shipping
 cost (and this can only be known if a transaction has been created). For
 GetShippingCosts, if the postal code or bidder is in the same country as the
 listing site for the item, it is "domestic shipping" and this container is not
 returned (and ShippingServiceOption is returned instead). Otherwise, it is
 "international shipping" and this container is returned.
 <br> <br>
 For GetShippingCosts, results are filtered:  if any service is not available
 in the buyer's region, it is removed. If no services remain after this
 filtering, a warning is returned.
 <br><br>
 Not applicable to Half.com or eBay Motors vehicle listings.
 
 
 entry type : class Shopping_InternationalShippingServiceOptionType
*/

@property (nonatomic, retain) NSMutableArray *internationalShippingServiceOption;

/**
 
 Sales tax details. US site only. Flat and calculated shipping.
 <br> <br>
 Not applicable to eBay Motors vehicle listings.
 
 
 type : class Shopping_SalesTaxType
*/
@property (nonatomic, retain) Shopping_SalesTaxType *salesTax;

/**
 
 For most applicable calls, returns the words No Error or returns an error
 message related to an attempt to calculate shipping rates. For calculated
 shipping only.
 <br> <br>
 Not applicable to Half.com or eBay Motors vehicle listings.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *shippingRateErrorMessage;

/**
 
 Shipping costs and options related to a domestic shipping service.
 For GetShippingCosts, if the postal code or bidder is
 in the same country as the listing site for the item, it is "domestic
 shipping" and this container is returned. Otherwise, it is "international
 shipping" and this container is not returned (and InternationalShippingServiceOption
 is returned instead, if it exists).
 For calculated shipping, postal code must be known to determine final shipping
 cost (and this can only be known if a transaction has been created).
 For flat shipping: if the listing has not yet ended, any domestic
 shipping details are returned; if the listing has ended, domestic
 shipping details are only returned if the buyer's location is
 "domestic" (that is, it is the same country as the listing site).
 <br>
 Not applicable to Half.com or eBay Motors vehicle listings.
 
 
 entry type : class Shopping_ShippingServiceOptionType
*/

@property (nonatomic, retain) NSMutableArray *shippingServiceOption;

/**
 
 Tax details for a jurisdiction such as a state or province.
 Returned empty in if no tax table was used.
 <br> <br>
 Not applicable to Half.com.
 
 
 type : class Shopping_TaxTableType
*/
@property (nonatomic, retain) Shopping_TaxTableType *taxTable;

/**
 
 The cost of insurance for items shipped internationally. For flat rate
 shipping, this is the value set by the seller, if any. For calculated
 shipping, this is the value calculated by eBay with the shipping carrier for
 the particular item and can only be determined once the final item price is
 known when the listing ends. To determine whether a listing has ended, use
 GetSingleItem.
 <br> <br>
 Not applicable to eBay Motors vehicle listings.
 
 
 type : class Shopping_AmountType
*/
@property (nonatomic, retain) Shopping_AmountType *internationalInsuranceCost;

/**
 
 Whether the seller offers shipping insurance for items shipped internationally
 and, if so, whether the insurance is optional or required. Flat and calculated
 shipping.
 
 
 type: string constant in Shopping_InsuranceOptionCodeType.h
*/
@property (nonatomic, retain) NSString *internationalInsuranceOption;

/**
 
 Italy site (site ID 101) only. Contains the cost of cash-on-delivery shipping.
 
 
 type : class Shopping_AmountType
*/
@property (nonatomic, retain) Shopping_AmountType *codCost;

/**
 
 A location to which the seller will not ship.
 Returned only if set via Trading API.
 Returned only with a request version of 665 or greater.
 
 
 entry type : NSString, wrapper for primitive string
*/

@property (nonatomic, retain) NSMutableArray *excludeShipToLocation;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
