// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Finding_Aspect;

/**
 
 Container for a top-level set of aspect histograms.
 
 
 @ingroup FindingServicePortType
*/
@interface Finding_AspectHistogramContainer : NSObject <PicoBindable> {

@private
    NSString *_domainName;
    NSString *_domainDisplayName;
    NSMutableArray *_aspect;
    NSString *_delimiter;
    NSMutableArray *_any;

}


/**
 
 A buy-side group of items that share aspects, but not necessarily an eBay
 category. For example "Women's Dresses" or "Digital Cameras" could be
 domains. You can use a domainName to label a set of aspects that you
 display.
 <br><br>
 Domains are extracted from item listing properties (such as item titles
 and subtitles).
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *domainName;

/**
 
 A buy-side group of items, for example "Shoes." Domains are extracted
 from item listing properties, such as the title, descriptions, and so on.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *domainDisplayName;

/**
 
 A characteristic of an item in a domain. For example, "Optical Zoom",
 "Brand", and "Megapixels" could be aspects of the Digital Cameras domain.
 Aspects are well-known, standardized characteristics of a domain, and
 they vary from domain to domain (the aspects of "Men's Shoes" are
 different from those of "Digital Cameras"). A search request on the eBay
 site will often display aspects and their respective aspect values on the
 left-had side of a query response.
 <br><br>
 Aspects are extracted from item listing properties (such as item titles
 and subtitles), and represent the characteristics of active items. Values
 returned in the Aspect container can be used as inputs to the
 aspectFilter fields in a query to distill the items returned by the
 query. eBay generates aspects dynamically from the items currently
 listed; aspects provide a view into what is currently available on eBay.
 Because of this, aspect values returned one day cannot be guaranteed to
 be valid the next day.
 <br><br>
 The following graphic shows how eBay might return a set of aspects for
 the Digital Cameras domain. In this graphic, "Product Type", "Brand", and
 "Megapixels" are aspects, and "Point & Shoot", "Canon", and "12.0 to
 12.9 MP" are aspect values. Histogram values (item counts) are shown for
 each aspect value.
 <br><br>
 <img
 src="http://developer.ebay.com/DevZone/finding/Concepts/images/refinesearch.jpg"
 alt="eBay Aspects" />
 
 
 entry type : class Finding_Aspect
*/

@property (nonatomic, retain) NSMutableArray *aspect;

/**
 (public property)
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *delimiter;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
