// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Finding_BaseFindingServiceResponse.h"


@class Finding_AspectHistogramContainer;
@class Finding_ConditionHistogramContainer;
@class Finding_CategoryHistogramContainer;

/**
 
 Response container for the findItemsByKeywords call.
 
 
 @ingroup FindingServicePortType
*/
@interface Finding_FindItemsByCategoryResponse : Finding_BaseFindingServiceResponse {

@private
    Finding_CategoryHistogramContainer *_categoryHistogramContainer;
    Finding_AspectHistogramContainer *_aspectHistogramContainer;
    Finding_ConditionHistogramContainer *_conditionHistogramContainer;

}


/**
 
 Response container for a category histogram. This container is
 returned only when the specified category has children categories.
 <br><br>
 <span class="tablenote"><strong>Note:</strong>
 The category IDs returned for items in search results are for the
 leaf categories in which the items are listed. If you use a leaf
 category ID as input, the response will not return a category
 histogram.
 </span>
 <br><br>
 <span class="tablenote"><strong>Note:</strong>
 When searching the eBay Motors site, category histograms may not be
 available for some parent categories. In these cases, aspect
 histograms should be used to refine search results. This behavior
 is consistent with eBay Motors site search behavior.
 </span>
 
 
 type : class Finding_CategoryHistogramContainer
*/
@property (nonatomic, retain) Finding_CategoryHistogramContainer *categoryHistogramContainer;

/**
 
 Response container for aspect histograms. Aspect histograms are
 returned for categories that have been mapped to domains only. In
 most cases, just leaf categories are mapped to domains, but there are
 exceptions.
 
 
 type : class Finding_AspectHistogramContainer
*/
@property (nonatomic, retain) Finding_AspectHistogramContainer *aspectHistogramContainer;

/**
 
 Response container for condition histograms.
 Condition histograms are returned for any category
 (leaf or parent).<br>
 <br>
 Not returned when Condition is specified in itemFilter.
 That is, only returned when you have not yet narrowed
 your search based on specific conditions.<br>
 <br>
 Only returned when you search the eBay US site (as of
 February 2011). International items in US search results
 are included in the histogram counts.
 
 
 type : class Finding_ConditionHistogramContainer
*/
@property (nonatomic, retain) Finding_ConditionHistogramContainer *conditionHistogramContainer;


@end
