// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Finding_Amount;

/**
 
 Container holding the item's shipping details.
 
 
 @ingroup FindingServicePortType
*/
@interface Finding_ShippingInfo : NSObject <PicoBindable> {

@private
    Finding_Amount *_shippingServiceCost;
    NSString *_shippingType;
    NSMutableArray *_shipToLocations;
    NSNumber *_expeditedShipping;
    NSNumber *_oneDayShippingAvailable;
    NSNumber *_handlingTime;
    NSNumber *_intermediatedShipping;
    NSString *_delimiter;
    NSMutableArray *_any;

}


/**
 
 The basic shipping cost of the item. This reflects the domestic shipping
 cost or the international shipping costs, depending on which applies
 (that is, whether the bidder/buyer is in the same country as the listing
 site of the item).
 
 
 type : class Finding_Amount
*/
@property (nonatomic, retain) Finding_Amount *shippingServiceCost;

/**
 
 The shipping method that was used for determining the cost of shipping.
 For example: flat rate, calculated, or free. The seller specifies the
 available shipping services when they list the item.
 <dl>
 <dt>
 <strong>shippingType values:</strong>
 </dt>
 <dt>
 Calculated
 </dt>
 <dd>
 The calculated shipping model: The posted cost of shipping is based
 on the buyer-selected shipping service, chosen by the buyer from the
 different shipping services offered by the seller. The shipping costs
 are calculated by eBay and the shipping carrier, based on the buyer's
 address. Any packaging and handling costs established by the seller
 are automatically rolled into the total.
 </dd>
 <dt>
 CalculatedDomesticFlatInternational
 </dt>
 <dd>
 The seller specified one or more calculated domestic shipping
 services and one or more flat international shipping services.
 </dd>
 <dt>
 Flat
 </dt>
 <dd>
 The flat-rate shipping model: The seller establishes the cost
 of shipping and any shipping insurance, regardless of what any
 buyer-selected shipping service might charge the seller.
 </dd>
 <dt>
 FlatDomesticCalculatedInternational
 </dt>
 <dd>
 The seller specified one or more flat domestic shipping
 services and one or more calculated international shipping services.
 </dd>
 <dt>
 Free
 </dt>
 <dd>
 Free is used when the seller has declared that shipping is free
 for the buyer.
 </dd>
 <dt>
 FreePickup
 </dt>
 <dd>
 No shipping available, the buyer must pick up the item from the
 seller.
 </dd>
 <dt>
 Freight
 </dt>
 <dd>
 The freight shipping model: the cost of shipping is determined by a
 third party, FreightQuote.com, based on the buyer's address (postal
 code).
 </dd>
 <dt>
 FreightFlat
 </dt>
 <dd>
 The flat rate shipping model: the seller establishes the cost
 of freight shipping and freight insurance, regardless of what any
 buyer-selected shipping service might charge the seller.
 </dd>
 <dt>
 NotSpecified
 </dt>
 <dd>
 The seller did not specify the shipping type.
 </dd>
 </dl>
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *shippingType;

/**
 
 An international location or region to which the seller is willing to
 ship the item. Only returned when the seller has specifically identified
 locations where she is willing to ship the given item.
 specified.
 
 
 entry type : NSString, wrapper for primitive string
*/

@property (nonatomic, retain) NSMutableArray *shipToLocations;

/**
 
                         This is returned set to true if expedited shipping is available for the item.
 <br/><br/>
                         This field is returned only for items listed on the eBay US site.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *expeditedShipping;

/**
 
 This is returned set to true if one-day shipping is available for the item.
 <br/><br/>
                         This field is returned only for items listed on the eBay US site.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *oneDayShippingAvailable;

/**
 
 The number of days it will take the seller to ship this item.
 <br/><br/>
                         This field is returned only for items listed on the eBay US site.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *handlingTime;

/**
 (public property)
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *intermediatedShipping;

/**
 (public property)
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *delimiter;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
