// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"


@class Shopping_ProductIDType;
@class Shopping_NameValueListArrayType;

/**
 
 Information about an eBay catalog product.
 
 
 @ingroup ShoppingInterface
*/
@interface Shopping_CatalogProductType : NSObject <PicoBindable> {

@private
    NSString *_domainName;
    NSString *_detailsURL;
    NSNumber *_displayStockPhotos;
    NSMutableArray *_productID;
    NSNumber *_itemCount;
    Shopping_NameValueListArrayType *_itemSpecifics;
    NSNumber *_reviewCount;
    NSString *_stockPhotoURL;
    NSString *_title;
    NSString *_productState;
    NSMutableArray *_any;

}


/**
 
 The name of the domain in which the product was found.
 If the product is mapped to multiple domains, eBay returns
 the most applicable domain (as determined by eBay).
 Always returned when Product is returned.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *domainName;

/**
 
 Fully qualified URL for optional information about the product,
 such as a movie's description or film credits. This information
 is hosted through the eBay Web site and it cannot be edited.
 Portions of the content are protected by copyright.
 Applications can include this URL as a link in product search results
 so that end users can view additional descriptive details about
 the product. This is usually always returned when Product is returned,
 but it may be safest to check for the existence of this field.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *detailsURL;

/**
 
 If true, your application can attempt to display stock photos that
 are returned. If false, your application should not attempt to display
 any stock photos that are returned. This recommendation is useful for
 catalog data related to products like coins, where stock photos are not
 necessarily applicable or available. An application with a graphical
 user interface can use this flag to determine
 when to hide customized stock photo widgets.
 Always returned when Product is returned.
 
 
 type : NSNumber, wrapper for primitive bool
*/
@property (nonatomic, retain) NSNumber *displayStockPhotos;

/**
 
 The eBay or external IDs associated with the product. Use the Reference
 value as input to search for the same product in the future, or
 use the ISBN, EAN, or UPC value (if returned).
 The ISBN, EAN, and UPC values can also be useful as keys
 if your application is comparing products across different sites.
 Always returned when Product is returned.
 
 
 entry type : class Shopping_ProductIDType
*/

@property (nonatomic, retain) NSMutableArray *productID;

/**
 
 Total number of listings on the requested eBay site that use
 stock information from this catalog product. This value can be greater
 than the number of listings returned in ItemArray. To retrieve more
 listings, use the <a href="http://www.developer.ebay.com/DevZone/finding/CallRef/index.html">Finding API</a>.
 Only returned when you search by ProductID (and you pass
 Items or Details in IncludeSelector).
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *itemCount;

/**
 
 A list of name/value pairs that are included in the product's
 pre-filled Item Specifics. These indicate common aspects or
 characteristics of the product, such as Publisher (for a book).
 Also see ProductID for ISBN, UPC, or EAN values, if applicable.
 This is usually returned. (We are not aware of any cases in which this
 node is not be returned. However, it may be safest to check for the
 existence of this node.)
 
 
 type : class Shopping_NameValueListArrayType
*/
@property (nonatomic, retain) Shopping_NameValueListArrayType *itemSpecifics;

/**
 
 The total number of reviews that are available for this product
 on the eBay Web site. This can be greater than the number of
 reviews returned by FindProducts. In a future release, we will provide
 the capability to retrieve details about reviews.
 Always returned when Product is returned.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *reviewCount;

/**
 
 Fully qualified URL for a stock image (if any) that is associated
 with the eBay catalog product. The URL is for the image eBay
 usually displays in product search results (usually 70px tall).
 It may be helpful to calculate the dimensions of the photo
 programmatically before displaying it.
 Only returned if a URL is available for the product.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *stockPhotoURL;

/**
 
 The title of the product, as specified in the catalog.
 Always returned when Product is returned.
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *title;

/**
 
 Indicates that the product has changed or will soon change (usually due to a
 migration from one catalog to another catalog). Typically, this field is returned
 for up to 90 days for a given product. After that, the product either no longer
 returns this field or the product is no longer returned (depending on the state
 change). As of mid-2008, this data is primarily applicable to catalogs used by the
 US, Germany, Austria, and Switzerland sites. Other sites may undergo catalog
 changes in the future.
 
 
 type: string constant in Shopping_ProductStateCodeType.h
*/
@property (nonatomic, retain) NSString *productState;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
