// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"
#import "Shopping_AbstractResponseType.h"


@class Shopping_PopularSearchesType;

/**
 
 Contains the keyword data for the requested categories. A category's data are contained
 in a CategoryArrayType object if there is no error (one or more CategoryType objects).
 Returns category data as well as related search data.
 
 
 @ingroup ShoppingInterface
*/
@interface Shopping_FindPopularSearchesResponseType : Shopping_AbstractResponseType {

@private
    NSMutableArray *_popularSearchResult;
    NSNumber *_pageNumber;
    NSNumber *_totalPages;

}


/**
 
 Returns most popular search words by category. For each
 category, the CategoryID, CategoryName, CategoryParentID, and CategoryParentName,
 are returned, as well as QueryKeywords, related, and alternate searches.
 
 
 entry type : class Shopping_PopularSearchesType
*/

@property (nonatomic, retain) NSMutableArray *popularSearchResult;

/**
 
 Indicates the page of data returned by the current call. For instance,
 for the first set of items can be returned, this field has a value of
 one.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *pageNumber;

/**
 
 Indicates the total number of pages of data
 that could be returned by repeated requests. Returned with a
 value of 0 if no pages are available.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *totalPages;


@end
