// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 A generic histogram entry type.
 
 
 @ingroup ShoppingInterface
*/
@interface Shopping_HistogramEntryType : NSObject <PicoBindable> {

@private
    NSString *_name;
    NSNumber *_count;
    NSMutableArray *_any;

}


/**
 
 This is the domain name.<br>
 <br>
 A product can be mapped to more than one domain.
 This means that even if a name appears in this histogram and the
 Count is greater than 1, you won't necessarily see the
 same name returned for each returned product (in the Product node
 of the response). That is, Product.DomainName only
 returns the most applicable domain name (as determined by eBay).
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *name;

/**
 
 This is the number of products found in the domain.
 If a product is mapped to more than one domain, it is counted separately
 for each domain. (For example, if the same product name appears in both
 Children's Books and Fiction Books, the count for both of these
 domains will include that product.) This means you cannot sum the
 product counts to determine the total number of matching products
 across all domains. The histogram is only intended to show the number
 of matching products in each individual domain.
 
 
 type : NSNumber, wrapper for primitive int
*/
@property (nonatomic, retain) NSNumber *count;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
