// Generated by xsd compiler for ios/objective-c
// DO NOT CHANGE!

#import <Foundation/Foundation.h>
#import "PicoClassSchema.h"
#import "PicoPropertySchema.h"
#import "PicoConstants.h"
#import "PicoBindable.h"



/**
 
 This type provides information about the weight, volume or other quantity measurement of a listed item so buyers can compare per-unit prices. The European Union requires listings for certain types of products to include the price per unit. eBay uses this information and the item's listed price to calculate and display the unit price on eBay EU sites. 
 
 
 @ingroup ShoppingInterface
*/
@interface Shopping_UnitInfoType : NSObject <PicoBindable> {

@private
    NSString *_unitType;
    NSNumber *_unitQuantity;
    NSMutableArray *_any;

}


/**
 
 Designation of size, weight, volume or count to be used to specify the unit quantity of the item. The value can be one of the following:
 <br/><br/>
 <code>Kg 100g 10g L 100ml 10ml M M2 M3 Unit</code>
 
 
 type : NSString, wrapper for primitive string
*/
@property (nonatomic, retain) NSString *unitType;

/**
 
 Number of units of size, weight, volume or count of the item in the specified unit type. eBay will divide the item price by this number to get the price per unit that will be displayed in the item listing for comparison purposes.
 
 
 type : NSNumber, wrapper for primitive double
*/
@property (nonatomic, retain) NSNumber *unitQuantity;

/**
 (public property)
 
 entry type : PicoAnyElement, wrapper for primitive anyelement
*/

@property (nonatomic, retain) NSMutableArray *any;


@end
